curl --request POST \
--url https://api.ttapi.io/grok/generations \
--header 'Content-Type: application/json' \
--header 'TT-API-KEY: <api-key>' \
--data '
{
"prompt": "<string>",
"model": "grok-imagine-video-1.5-fast",
"aspect_ratio": "16:9",
"video_length": "10",
"resolution_name": "720p",
"hook_url": "https://example.com/callback"
}
'import requests
url = "https://api.ttapi.io/grok/generations"
payload = {
"prompt": "<string>",
"model": "grok-imagine-video-1.5-fast",
"aspect_ratio": "16:9",
"video_length": "10",
"resolution_name": "720p",
"hook_url": "https://example.com/callback"
}
headers = {
"TT-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'TT-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '<string>',
model: 'grok-imagine-video-1.5-fast',
aspect_ratio: '16:9',
video_length: '10',
resolution_name: '720p',
hook_url: 'https://example.com/callback'
})
};
fetch('https://api.ttapi.io/grok/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "SUCCESS",
"message": "success",
"data": {
"jobId": "jobId"
}
}{
"status": "FAILED",
"message": "\"prompt\" cannot be empty.",
"data": {}
}{
"status": "FAILED",
"message": "Wrong TT-API-KEY or email is not activated."
}Text to Video
Text to video - Generate videos from prompt only
prompt only, without any media files.
Authorizations
You can obtain your API key from the TTAPI Dashboard.
Body
Text to video request parameters
Prompt. Maximum length is 4096 characters for grok-imagine-video and grok-imagine-video-1.5; grok-imagine-video-1.5-fast supports longer prompts.
Model name.
grok-imagine-video-1.5-fast: duration 6-30s (6s and 10s are standard durations; 7s and 11s are not supported); supports multiple reference images (max 7); supports first/last frame controlgrok-imagine-video: duration 1-15s, supports multiple reference images (single image up to 15s, multiple images max 10s), 720P onlygrok-imagine-video-1.5: duration 1-15s, only single reference image and it is required
grok-imagine-video-1.5-fast, grok-imagine-video, grok-imagine-video-1.5 "grok-imagine-video-1.5-fast"
Video aspect ratio
2:3, 3:2, 1:1, 9:16, 16:9 Video duration in seconds. grok-imagine-video-1.5-fast range: 6 to 30 (6s and 10s are standard durations); grok-imagine-video range: 1 to 15 (single image up to 15s, multiple images max 10s); grok-imagine-video-1.5 range: 1 to 15.
Output resolution. 480p and 720p are supported by all models; 1080p is only supported by grok-imagine-video-1.5.
480p, 720p, 1080p Callback URL address. When the task completes or fails, notifications will be sent to this address. The notification data structure is consistent with the fetch structure [blocked]. If not set, you need to call the fetch endpoint [blocked] to query the result
"https://example.com/callback"